Bug 908011 - rhncfg-actions should require new version of rhn-client-tools
rhncfg-actions should require new version of rhn-client-tools
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
1.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
: Reopened
Depends On:
Blocks: space21
  Show dependency treegraph
 
Reported: 2013-02-05 11:29 EST by Stephen Herr
Modified: 2014-03-04 08:09 EST (History)
1 user (show)

See Also:
Fixed In Version: rhncfg-5.10.57-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 908014 (view as bug list)
Environment:
Last Closed: 2014-03-04 08:08:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2013-02-05 11:29:29 EST
Modern versions of rhncfg-actions can call the getServerlURL() method in the rhn-client-tools up2date_client/config.py. That method does not exist prior to rhn-client-tools-1.3.7-1, so rhncfg-actions should require that version or newer, not just any version.
Comment 1 Stephen Herr 2013-02-05 11:36:48 EST
It's not just rhncfg-actions, there's some common code that can call that function too, so I made the dependency be on rhncfg.

Committed to Spacewalk master: e0eb1fbccebf85aa0b84cb0443d194c78daf12c2
Comment 2 Stephen Herr 2013-02-05 12:35:21 EST
New commit, old commit can be ignored: 212e7da52fdf2a1c61cb802ef6db069299ad9fe6

I now specify the correct version we need to include for RHEL 5 and 6. For anything else we punt and just revert to old behavior.

I didn't make it clear in comment 0, but this is a problem currently. If you have sufficiently old rhn-client-tools then you will get an error when using rhncfg.
Comment 3 Stephen Herr 2013-03-01 12:07:49 EST
Marking bug as ON_QA since tonight's build of Spacewalk nightly is a release candidate for Spacewalk 1.9.
Comment 4 Stephen Herr 2013-03-06 13:35:20 EST
Spacewalk 1.9 has been released.

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes19
Comment 5 Stephen Herr 2013-09-04 16:43:52 EDT
The RHEL 5 if statement was not correct, so we do not yet guarantee that the right version of rhn-client-tools is installed on RHEL 5. Re-opening, fixing with this commit to Spacewalk master:
939ccf905ab1bf2d4a42c640aed162c2f19b68ab
Comment 6 Matej Kollar 2014-01-17 07:16:11 EST
Switching MODIFIED Spacewalk bugs to ON_QA before 2.1 release.
Comment 7 Matej Kollar 2014-03-04 08:08:23 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21
Comment 8 Matej Kollar 2014-03-04 08:09:06 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21

Note You need to log in before you can comment on or make changes to this bug.